### Method

# Pango Language includes_script

since: 1.4

#### Declaration [src]

    gboolean
    pango_language_includes_script (
      PangoLanguage* language,
      PangoScript script
    )

#### Description [src]

Determines if `script` is one of the scripts used to write `language`.

The returned value is conservative; if nothing is known about the language tag `language`, `TRUE` will be returned, since, as far as Pango knows, `script` might be used to write `language`.

This routine is used in Pango’s itemization process when determining if a supplied language tag is relevant to a particular section of text. It probably is not useful for applications in most circumstances.

This function uses `pango_language_get_scripts()` internally.

Available since: 1.4

#### Parameters

`language`

  Type: `PangoLanguage`

  A `PangoLanguage`.

  The argument can be `NULL`.

`script`

  Type: `PangoScript`

  A `PangoScript`.

#### Return value

Type: `gboolean`

`TRUE` if `script` is one of the scripts used to write `language` or if nothing is known about `language` (including the case that `language` is `NULL`), `FALSE` otherwise.